<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div><div class="money">';

switch($_GET[a])
	{
    default:
	if (isset($_GET['id']) AND isset($_GET['world']) AND (htmlspecialchars($_GET['world'])=='west' OR htmlspecialchars($_GET['world'])=='east'))
		{
		//НАчало карты

		$per_page=$user[massages];
		if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
		$start=abs($page*$per_page);
		$time_reg_get = mysql_fetch_array(mysql_query("SELECT `time_reg` FROM `users` WHERE `id`='$_GET[id]'"));
		if ($_GET['world']=='west') $q="SELECT `country`,`id` FROM users WHERE defeat = '0' AND `time_reg` < '".$time_reg_get['time_reg']."' AND bun_end<'$time' ORDER BY id DESC LIMIT $start,$per_page";
		if ($_GET['world']=='east') $q="SELECT `country`,`id` FROM users WHERE defeat = '0' AND `time_reg` > '".$time_reg_get['time_reg']."' AND bun_end<'$time' ORDER BY id ASC LIMIT $start,$per_page";

		$res=mysql_query($q);
		while($row=mysql_fetch_array($res)) {
		echo $row[country].'<br />';
		if (empty($_GET['page'])) $i=1;












		 }

		$q2=$q;
		$res=mysql_query($q2);
		$row=mysql_fetch_row($res);
		$total_rows=$row[0];

		$num_pages=ceil($total_rows/$per_page);
		if ($_GET['page'] > '3') {

							if ($_GET['page']!='1') echo '<a href="'.$_SERVER['PHP_SELF'].'?id='.$_GET['id'].'&world='.$_GET['world'].'&page=1">1</a>,';
							if ($_GET['page']!='2') echo '<a href="'.$_SERVER['PHP_SELF'].'?id='.$_GET['id'].'&world='.$_GET['world'].'&page=2">2</a>';
							echo ' ... ';
							}


		if ($_GET['page'] > '1') echo '<a href="'.$_SERVER['PHP_SELF'].'?id='.$_GET['id'].'&world='.$_GET['world'].'&page='.($_GET['page']-1).'">Назад</a> ';
		if ($_GET['page'] < '3')
			{
		for($i=1;$i<=3;$i++) {
		  if ($i-1 == $page) {
			echo '['.$i."] ";
		  } else {
			echo '<a href="'.$_SERVER['PHP_SELF'].'?id='.$_GET['id'].'&world='.$_GET['world'].'&page='.$i.'">['.$i."]</a> ";
		  }

		}
			} else echo '['.abs($_GET['page']).'] ';
		if ($_GET['page'] > '2') {echo '<a href="'.$_SERVER['PHP_SELF'].'?id='.$_GET['id'].'&world='.$_GET['world'].'&page='.($_GET['page']+1).'">Далее</a>';

							}


		echo '</div><a class="razd" href="map.php">Карта мира</a>';
		//Конец карты
		} else {
	if (isset($_POST['country']))
		{
		$country = htmlspecialchars($_POST['country']);
		$error = '';
		if(!preg_match('/^[a-z0-9а-яґіїё_ -]{4,}$/iu', $country)) $error .= 'В названии страны есть запрещеные символы!<br />';
		$id_c = mysql_fetch_array(mysql_query("SELECT `id` FROM `users` WHERE `country`='$country'"));
		if (abs($id_c['id'])=='0') $error .= 'Нет такой страны<br />';
		if (empty($error))
			{

			header("Location: map.php?id=".$id_c['id']."&world=".$_POST['world']."&page=1");
			} else echo $error;

		} else {
    echo '

	С какой страны начинаем просмотр?<br />
	<form method="POST" action="">
	<input type="text" name="country" size="10"><br />
	Начать просмотр с <br />
	<input type="radio" name="world" value="west">Запада<br />
	<input type="radio" name="world" value="east">Востока<br />
	<input type="submit" value="Пошел">
	</form>
	';
				}
					}

    break;


	case 'help':

    break;
	}

echo '
</div>
<div class="info">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';


?>